<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "listing_site_provider_stats".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ListingSiteAccountStats".
 *
 * Columns in table "listing_site_provider_stats" available as properties of the model,
 * followed by relations of table "listing_site_provider_stats" available as properties of the model.
 *
 * @property integer $id
 * @property integer $listing_site_id
 * @property integer $account_id
 * @property string $date
 * @property integer $estimated_page_views
 * @property integer $known_page_views
 * @property integer $found_in_scantool
 * @property integer $reported_page_views
 * @property string $date_added
 *
 * @property ListingSite $listingSite
 * @property Account $account
 */
abstract class BaseListingSiteAccountStats extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'listing_site_account_stats';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ListingSiteAccountStats|ListingSiteAccountStats', $n);
    }

    public static function representingColumn()
    {
        return 'date';
    }

    public function rules()
    {
        return array(
            array(
                'listing_site_id, date, estimated_page_views, known_page_views, found_in_scantool, reported_page_views,
                    date_added',
                'required'
            ),
            array(
                'listing_site_id, account_id, estimated_page_views, known_page_views, found_in_scantool, 
                    reported_page_views',
                'numerical',
                'integerOnly' => true
            ),
            array(
                'id, listing_site_id, account_id, date, estimated_page_views, known_page_views, found_in_scantool,
                    reported_page_views, date_added',
                'safe',
                'on' => 'search'
            ),
        );
    }

    public function relations()
    {
        return array(
            'listingSite' => array(self::BELONGS_TO, 'ListingSite', 'listing_site_id'),
            'account' => array(self::BELONGS_TO, 'Provider', 'account_id'),
        );
    }

    public function pivotModels()
    {
        return array();
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'listing_site_id' => null,
            'account_id' => null,
            'date' => Yii::t('app', 'Date'),
            'estimated_page_views' => Yii::t('app', 'Estimated Page Siews'),
            'estimated_page_actions' => Yii::t('app', 'Estimated Page Actions'),
            'known_page_views' => Yii::t('app', 'Known Page Views'),
            'known_page_actions' => Yii::t('app', 'Known Page Actions'),
            'found_in_scantool' => Yii::t('app', 'Found In Scantool'),
            'reported_page_views' => Yii::t('app', 'Reported Page Views'),
            'reported_page_actions' => Yii::t('app', 'Reported Page Actions'),
            'date_added' => Yii::t('app', 'Date Added'),
            'listingSite' => null,
            'provider' => null,
            'practice' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('listing_site_id', $this->listing_site_id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('date', $this->date, true);
        $criteria->compare('estimated_page_views', $this->estimated_page_views);
        $criteria->compare('estimated_page_actions', $this->estimated_page_actions);
        $criteria->compare('known_page_views', $this->known_page_views);
        $criteria->compare('known_page_actions', $this->known_page_actions);
        $criteria->compare('found_in_scantool', $this->found_in_scantool);
        $criteria->compare('reported_page_views', $this->reported_page_views);
        $criteria->compare('reported_page_actions', $this->reported_page_actions);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }
}
